Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.substitute
Class FontSubstitution

    java.lang.Object
      org.apache.fop.fonts.substitute.FontSubstitution

public class FontSubstitution
extends java.lang.Object

Encapsulates a pair of substitution qualifiers

Constructor Summary
`FontSubstitution(FontQualifier fromQualifier, FontQualifier toQualifier)` Main constructor

Method Summary
`FontQualifier` | `getFromQualifier()`
`FontQualifier` | `getToQualifier()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FontSubstitution

    public FontSubstitution(FontQualifier fromQualifier,
                            FontQualifier toQualifier)

  Main constructor

Parameters:
  `fromQualifier` - the substitution from qualifier
  `toQualifier` - the substitution to qualifier

Method Detail

### getFromQualifier

    public FontQualifier getFromQualifier()

  Returns:
    the substitution from qualifier

### getToQualifier

    public FontQualifier getToQualifier()

  Returns:
    the substitution to qualifier

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.